#include<bits/stdc++.h>
using namespace std;
int n,k,t[10000000];
int main ()
{
  cin >> n >> k;
  for(int i=1; i<=n; i++)
  {
    cin >> t[i];
  }
  for(int i=1; i<=n; i++)
  {
    if(t[i]==k)
    {
      if(i==n)
      {
        cout << t[1] << endl;
        return 0;
      }
      else
      {
          cout << t[i+1] << endl;
          return 0;
      }
    }
  }
}